using Microsoft.Extensions.Logging;
using GarmentFactoryContracts.BusinessLogicsContracts;

namespace GarmentFactoryView
{
    public partial class FormMails : Form
    {
        private readonly ILogger _logger;

        private readonly IMessageInfoLogic _logic;

        public FormMails(ILogger<FormMails> logger, IMessageInfoLogic logic)
        {
            InitializeComponent();
            _logger = logger;
            _logic = logic;
        }

        private void FormMails_Load(object sender, EventArgs e)
        {
            LoadData();
        }

        private void LoadData()
        {
            try
            {
				dataGridView.FillAndConfigGrid(_logic.ReadList(null));
				_logger.LogInformation("Messages loading");
            }
            catch (Exception ex)
            {
                _logger.LogError(ex, "Messages loading error");
                MessageBox.Show(ex.Message, "Ошибка", MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
        }    
    }
}
